{% extends "base.html" %}

{% block title %}
    My Tasks
{% endblock title %}
{% block content %}
    <div>
        <h1>{{ projects.name }}</h1>
        <p>{{ projects.description }}</p>
        <h2>Tasks</h2>
        <p>
            <a href="{% url 'create_task' %}">Create a new task</a>
        </p>
        {% if projects.tasks.all|length > 0 %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Assignee</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is completed</th>
                    </tr>
                </thead>
                <tbody>
                    {% for task in projects.tasks.all %}
                        <tr>
                            <td>{{ task.name }}</td>
                            <td>{{ task.assignee }}</td>
                            <td>{{ task.start_date }}</td>
                            <td>{{ task.due_date }}</td>
                            <td>{{ task.is_completed|yesno }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% else %}
            <p>This project has no tasks</p>
        {% endif %}
    </div>
{% endblock content %}
